dev_close
Prev | Driver Support | Next

## Name

dev_close — shutdown an interface.

## Synopsis

`int dev_close (` | struct net_device * | dev`)`;

## Arguments

`dev`

  device to shutdown

## Description

This function moves an active device into down state. A `NETDEV_GOING_DOWN` is sent to the netdev notifier chain. The device is then deactivated and finally a `NETDEV_DOWN` is sent to the notifier chain.

Prev | Up | Next
dev_open | Home | register_netdevice_notifier